Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLImageActor Class Reference

`#include <vtkOpenGLImageActor.h>`

Inheritance diagram for vtkOpenGLImageActor:

[legend]
Collaboration diagram for vtkOpenGLImageActor:

[legend]
List of all members.

## Detailed Description

OpenGL texture map.

Date:
  2002/08/22 18:39:31

Revision:
  1.9

vtkOpenGLImageActor is a concrete implementation of the abstract class vtkImageActor. vtkOpenGLImageActor interfaces to the OpenGL rendering library.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (79%)
  - Starreveld, Yves (7%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLImageActor.h)`
  - .`cxx` (`/Rendering/vtkOpenGLImageActor.cxx)`

Definition at line 47 of file vtkOpenGLImageActor.h.

## Public Types
typedef vtkImageActor | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | Load (vtkRenderer *ren)
void | ReleaseGraphicsResources (vtkWindow *)
## Static Public Methods
vtkOpenGLImageActor * | New ()
int | IsTypeOf (const char *type)
vtkOpenGLImageActor * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkOpenGLImageActor ()
| ~vtkOpenGLImageActor ()
unsigned char * | MakeDataSuitable (int &xsize, int &ysize, int &release)
## Protected Attributes
vtkTimeStamp | LoadTime
long | Index
vtkRenderWindow * | RenderWindow
float | Coords [12]
float | TCoords [8]

## Member Typedef Documentation

typedef vtkImageActor vtkOpenGLImageActor::Superclass

| Reimplemented from vtkImageActor. Definition at line 51 of file vtkOpenGLImageActor.h.

## Constructor & Destructor Documentation

vtkOpenGLImageActor::vtkOpenGLImageActor | ( |  | ) | `[protected]`

vtkOpenGLImageActor::~vtkOpenGLImageActor | ( |  | ) | `[protected]`

## Member Function Documentation

vtkOpenGLImageActor* vtkOpenGLImageActor::New | ( |  | ) | `[static]`

| Instantiate the image actor. Reimplemented from vtkImageActor.

virtual const char* vtkOpenGLImageActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageActor.

int vtkOpenGLImageActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageActor.

virtual int vtkOpenGLImageActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageActor.

vtkOpenGLImageActor* vtkOpenGLImageActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageActor.

virtual void vtkOpenGLImageActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageActor.

void vtkOpenGLImageActor::Load | ( | vtkRenderer * | ren | ) | `[virtual]`

| Implement base class method. Reimplemented from vtkImageActor.

void vtkOpenGLImageActor::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this texture. The parameter window could be used to determine which graphic resources to release. Using the same texture object in multiple render windows is NOT currently supported. Reimplemented from vtkProp.

unsigned char* vtkOpenGLImageActor::MakeDataSuitable | ( | int & | xsize,
|  | int & | ysize,
|  | int & | release
| ) | `[protected]`

## Member Data Documentation

vtkTimeStamp vtkOpenGLImageActor::LoadTime`[protected]`

| Definition at line 69 of file vtkOpenGLImageActor.h.

long vtkOpenGLImageActor::Index`[protected]`

| Definition at line 70 of file vtkOpenGLImageActor.h.

vtkRenderWindow* vtkOpenGLImageActor::RenderWindow`[protected]`

| Definition at line 71 of file vtkOpenGLImageActor.h.

float vtkOpenGLImageActor::Coords[12]`[protected]`

| Definition at line 72 of file vtkOpenGLImageActor.h.

float vtkOpenGLImageActor::TCoords[8]`[protected]`

| Definition at line 73 of file vtkOpenGLImageActor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLImageActor.h